## org.eclipse.amp.amf.acore.edit.commands.test
Class SetLabel

    java.lang.Object
      org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
          org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer
              org.eclipse.amp.amf.acore.edit.commands.test.SetTransformer
                  org.eclipse.amp.amf.acore.edit.commands.test.SetLabel

All Implemented Interfaces:
  PrePostAsserts, org.metaabm.tests.Transformer

Direct Known Subclasses:
  AddRootCommand, RenameAgentCommand, RenameSubContextCommand

    public class SetLabel

extends SetTransformer

Constructor Summary
`SetLabel(java.lang.String oldLabel, java.lang.String newLabel)`

Method Summary
`void` `addPrePost(java.util.List<PrePostCondition> list)`
`void` `postCondition()`
`void` `preCondition()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.SetTransformer
`getCommand, getIID, getSNamed`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer
`doPostCondition, doPreCondition, exec, modifies, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
`agAttr, agentRootAct, agInput, agQuery, attr, getDomain, getModel, memAgent, memContext, rootAct, setDomain, setModel, setTestCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetLabel

    public SetLabel(java.lang.String oldLabel,
                    java.lang.String newLabel)

Method Detail

### addPrePost

    public void addPrePost(java.util.List<PrePostCondition> list)

  Overrides:
    `addPrePost` in class `CommandTransformer`

### preCondition

    public void preCondition()

  Specified by:
    `preCondition` in interface `PrePostAsserts`
  Overrides:
    `preCondition` in class `PrePostCondition`

### postCondition

    public void postCondition()

  Specified by:
    `postCondition` in interface `PrePostAsserts`
  Overrides:
    `postCondition` in class `PrePostCondition`